#
# spec file for package bluez-gstreamer
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2010-2012 B1 Systems GmbH, Vohburg, Germany
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bluez-gstreamer
BuildRequires:  dbus-1-devel >= 1.4
BuildRequires:  flex
BuildRequires:  libcap-ng-devel
%if 0%{?suse_version} > 1130
BuildRequires:  pkgconfig(systemd)
%endif
BuildRequires:  alsa-devel
BuildRequires:  automake
BuildRequires:  check-devel
BuildRequires:  glib2-devel >= 2.28
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  gstreamer-0_10-plugins-base-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libtool
BuildRequires:  libudev-devel
BuildRequires:  libusb-devel
BuildRequires:  pkg-config
BuildRequires:  readline-devel
BuildRequires:  udev
BuildRequires:  pkgconfig(libnl-1)
Url:            http://www.bluez.org
Version:        4.101
Release:        0
Summary:        Bluetooth Sound Support
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Source:         bluez-%{version}.tar.bz2
Source3:        bluetooth.sysconfig
Source6:        README.SUSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       libbluetooth3 = %{version}
Provides:       bluez-audio:%_libdir/gstreamer-0.10/libgstbluetooth.so
%if %( echo `rpm -q --queryformat %%{version} udev` ) < 144
%define OLD_UDEV 1
%else
%define OLD_UDEV 0
%endif

%description
The package contains libraries for using bluetooth audio services.

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., USA.



Authors:
--------
    Marcel Holtmann <marcel@holtmann.org>
    and others, see AUTHORS in the documentation of the "bluez" package.

%prep
%setup -n bluez-%{version} -q
cp %{S:6} .

%build
autoreconf -fiv
%configure --with-pic \
			--libexecdir=/lib \
			--enable-gstreamer	\
			--enable-alsa		\
			--enable-usb		\
			--enable-tools		\
			--enable-bccmd		\
			--enable-hid2hci	\
			--enable-dfutool	\
			--enable-cups		\
			--enable-test		\
			--enable-pand		\
			--enable-dund		\
			--enable-wiimote	\
			--enable-datafiles	\
			--enable-pcmcia

make %{?_smp_mflags} all V=1

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/usr/[^l]* $RPM_BUILD_ROOT/[^u]* $RPM_BUILD_ROOT/%{_libdir}/[^g]*
rm -rf $RPM_BUILD_ROOT/%{_libdir}/pkgconfig $RPM_BUILD_ROOT/%{_libdir}/*bluetooth* $RPM_BUILD_ROOT/usr/include 
rm -rf $RPM_BUILD_ROOT/usr/lib/udev $RPM_BUILD_ROOT/usr/lib/systemd
rm $RPM_BUILD_ROOT/%{_libdir}/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_libdir}/gstreamer-*/*.so

%changelog
